Page MenuHomePhabricator

Roll out the new logo of MediaWiki
Closed, ResolvedPublic

Description

With https://www.mediawiki.org/wiki/Project:Proposal_for_changing_logo_of_MediaWiki,_2020 being done and now approved by legal, we need to roll the logo out.

Steps

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Hi. I think we can use a medium size icon (https://commons.wikimedia.org/wiki/File:MediaWiki-2020-icon.svg) for a project link in the footer, like here: https://www.wikiquote.org (need to adjust the image size to at least 38-40 px). Thanks.

Hi. I think we can use a medium size icon (https://commons.wikimedia.org/wiki/File:MediaWiki-2020-icon.svg) for a project link in the footer, like here: https://www.wikiquote.org (need to adjust the image size to at least 38-40 px). Thanks.

Thanks. Can you make it clear in the guideline on what sizes it's better to use small medium or large versions?

Thanks. Can you make it clear in the guideline on what sizes it's better to use small medium or large versions?

I thought we already did it. Added additional clarification for a small icon and adjusted the visual representation.

The favicon still shows part of the old logo, at least in a browser where you have already visited mediawiki.org prior to the change. So, how could one force the new favicon to be cached if the old one is still showing up?

The favicon still shows part of the old logo, at least in a browser where you have already visited mediawiki.org prior to the change. So, how could one force the new favicon to be cached if the old one is still showing up?

Just wait a bit ;)

Mentioned in SAL (#wikimedia-operations) [2021-04-01T01:51:28Z] <Reedy> echo "https://www.mediawiki.org/favicon.ico" | mwscript purgeList.php --wiki=enwiki T268230

Mentioned in SAL (#wikimedia-operations) [2021-04-01T01:52:37Z] <Reedy> echo "https://www.mediawiki.org/static/images/footer/poweredby_mediawiki_176x62.png" | mwscript purgeList.php --wiki=enwiki T268230

Reedy updated the task description. (Show Details)

The MediaWiki logo shown at https://www.wikipedia.org/ still resembles the old one. Could the logo be updated there as well?

The MediaWiki logo shown at https://www.wikipedia.org/ still resembles the old one. Could the logo be updated there as well?

Change 668246 merged by jenkins-bot:

[wikimedia/portals@master] Use the new mediawiki logo

https://gerrit.wikimedia.org/r/668246

It will be next week

Change 676451 had a related patch set uploaded (by Ladsgroup; author: Ladsgroup):

[operations/mediawiki-config@master] Add hi-res version of mediawiki.org logos

https://gerrit.wikimedia.org/r/676451

Change 676454 had a related patch set uploaded (by Ladsgroup; author: Ladsgroup):

[mediawiki/core@master] Add release notes about changing the logo

https://gerrit.wikimedia.org/r/676454

Change 676454 merged by jenkins-bot:

[mediawiki/core@master] Add release notes about changing the logo

https://gerrit.wikimedia.org/r/676454

Change 676481 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/core@master] Follow-up a87fa8287: Split release notes into sysadmin- and user-facing

https://gerrit.wikimedia.org/r/676481

Jdforrester-WMF renamed this task from Rolling out the new logo of MediaWiki to Roll out the new logo of MediaWiki.Apr 1 2021, 10:33 PM

Change 676451 merged by jenkins-bot:

[operations/mediawiki-config@master] Add hi-res version of mediawiki.org logos

https://gerrit.wikimedia.org/r/676451

Mentioned in SAL (#wikimedia-operations) [2021-04-01T23:08:44Z] <thcipriani@deploy1002> Synchronized static: Backport: Part I [[gerrit:676451|Add hi-res version of mediawiki.org logos]] T268230 (duration: 00m 59s)

Mentioned in SAL (#wikimedia-operations) [2021-04-01T23:10:13Z] <thcipriani@deploy1002> Synchronized logos: Backport: Part II [[gerrit:676451|Add hi-res version of mediawiki.org logos]] T268230 (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-04-01T23:12:05Z] <thcipriani@deploy1002> Synchronized wmf-config/logos.php: Backport: Part III [[gerrit:676451|Add hi-res version of mediawiki.org logos]] T268230 (duration: 00m 57s)

Change 676585 had a related patch set uploaded (by Ladsgroup; author: Ladsgroup):

[labs/codesearch@master] Use the new MediaWiki logo for favicon

https://gerrit.wikimedia.org/r/676585

Change 676585 merged by jenkins-bot:

[labs/codesearch@master] Use the new MediaWiki logo for favicon

https://gerrit.wikimedia.org/r/676585

There's still some user icons that need to be updated in https://commons.wikimedia.org/wiki/Category:MediaWiki_user_rights_icons

(side note: there seems to be a duplicate icon for bureaucrats: File:MediaWiki bureaucrat.svg and File:MediaWiki Bureaucrat 2020.svg)

I created and uploaded new versions of some of the user box icons

I have updated https://commons.wikimedia.org/wiki/File:MediaWiki-sysadmins-icon.svg as well.
I attempted to update https://commons.wikimedia.org/wiki/File:MediaWiki-extensions-icon.svg, but when I open the existing image in Inkscape, the blue screwdriver handle is messed up.

@Ladsgroup You checked the box for update at translatewiki.net but I still see the old logo on the front page.

@Ladsgroup You checked the box for update at translatewiki.net but I still see the old logo on the front page.

Caching.

Screenshot 2021-04-09 at 00.16.22.png (444×662 px, 61 KB)

Change 676481 merged by jenkins-bot:

[mediawiki/core@master] Follow-up a87fa8287: Split release notes into sysadmin- and user-facing

https://gerrit.wikimedia.org/r/676481

Change 678349 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/core@REL1_36] Follow-up a87fa8287: Split release notes into sysadmin- and user-facing

https://gerrit.wikimedia.org/r/678349

Change 678349 merged by jenkins-bot:

[mediawiki/core@REL1_36] Follow-up a87fa8287: Split release notes into sysadmin- and user-facing

https://gerrit.wikimedia.org/r/678349

So the derivatives and misc cases don't build a MECE list and possibly will drag on for years to come. Given that the site logo and software logo has changed and all current misc cases are either done or have a ticket on the relevant team's radar. I'm inclined to call this resolved. Any objection to that?